%define name tcptraceroute
%define version 1.5
%define release 0.beta4.1mdk

Name:		%{name}
Summary:	Tcptraceroute is a traceroute implementation using TCP packets 
Version:	%{version} 
Release:	%{release} 
Source:		%{name}-%{version}beta4.tar.bz2 
URL:		http://michael.toren.net/code/tcptraceroute/
Group:		Networking/Other
License:	GPL
BuildRequires:	libnet
BuildRequires:	libpcap-devel >= 0.7.2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
The more traditional traceroute(8) sends out either UDP or ICMP ECHO
packets with a TTL of one, and increments the TTL until the destination
has been reached. By printing the gateways that generate ICMP time
exceeded messages along the way, it is able to determine the path packets
are taking to reach the destination. 

The problem is that with the widespread use of firewalls on the modern
Internet, many of the packets that traceroute(8) sends out end up being
filtered, making it impossible to completely trace the path to the
destination. However, in many cases, these firewalls will permit inbound
TCP packets to specific ports that hosts sitting behind the firewall are
listening for connections on. By sending out TCP SYN packets instead of
UDP or ICMP ECHO packets, tcptraceroute is able to bypass the most common
firewall filters. 

%prep 

%setup -q -n %{name}-%{version}beta4

%build

%configure2_5x \
    --bindir=%{_sbindir}

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man8

install -m755 tcptraceroute %{buildroot}%{_sbindir}/
install -m644 tcptraceroute.8 %{buildroot}%{_mandir}/man8/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root,0755) 
%doc AUTHORS ChangeLog NEWS README examples.txt tcptraceroute.8.html
%attr(4755,root,bin) %{_sbindir}/tcptraceroute
%{_mandir}/man8/tcptraceroute.8*

%changelog
* Tue Nov 18 2003 Lenny Cartier <lenny@mandrakesoft.com 1.5-0.beta4.1mdk
- update to beta4

* Wed Jun  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5-0.beta3.2mdk
- Add setuid flag to tcptraceroute

* Wed Jun 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.5-0.beta3.1mdk
- 1.5beta3
- misc spec file fixes

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 1.4-3mdk
- rebuild

* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4-2mdk
- build release
- misc spec file fixes

* Wed Oct 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4-1mdk
- from Karel Volny <kavol@email.cz> :
	- first mandrake version (adapted from source)
